article {
	background: white;
	box-shadow: var(--box-shadow);
	border-radius: 1rem;
	overflow: auto;
	max-width: 32.7rem;

	@include lg {
		display: flex;
		max-width: 73rem;
		height: 27.7rem;
		overflow: unset;
	}

	header {
		height: 20rem;

		@include lg {
			height: 100%;
			border-top-left-radius: 1rem;
			border-bottom-left-radius: 1rem;
			overflow: hidden;
		}

		img {
			width: 100%;
			height: 100%;
			object-fit: cover;
			object-position: 0 -16px;

			@include lg {
				object-position: 0 0;
			}
		}
	}

	.body {
		padding: 4.2rem 3.2rem 2.2rem;

		@include lg {
			padding-left: 4.5rem;
			padding-top: 3.2rem;
		}

		h2 {
			color: var(--very-dark-grayish-blue);
			font-size: 1.6rem;
			font-weight: var(--font-weight-bold);
			padding-bottom: 1.3rem;
			letter-spacing: 0.03rem;
			line-height: 1.5;

			@include lg {
				font-size: 2rem;
				line-height: inherit;
			}
		}

		p {
			color: var(--desaturated-dark-blue);
			font-size: 1.2rem;
			line-height: 1.6;
			letter-spacing: 0.07rem;
		}
	}

	footer {
		position: relative;
		padding: 1rem 3.2rem 2rem;
		display: flex;
		align-items: center;

		@include lg {
			padding: 0 3.2rem 3.2rem 4.5rem;
		}

		> img {
			border-radius: 50%;
			height: 4rem;
			width: 4rem;
		}

		.author {
			display: flex;
			flex-direction: column;
			justify-content: space-around;
			padding-left: 1.5rem;

			h3 {
				color: var(--very-dark-grayish-blue);
				font-size: 1.25rem;

				@include lg {
					padding-bottom: 0.3rem;
				}
			}

			p {
				color: var(--grayish-blue);
			}
		}

		.share {
			margin-left: auto;
			background: var(--light-grayish-blue);
			border-radius: 50%;
			display: flex;
			justify-content: center;
			align-items: center;
			width: 3rem;
			height: 3rem;
			margin-top: 0.5rem;
			z-index: 10;

			@include lg {
				margin-right: 0.7rem;
			}
		}

		.social {
			padding: 0 3.2rem;
			position: absolute;
			top: 0;
			left: 0;
			bottom: 0;
			width: 100%;
			background: var(--very-dark-grayish-blue);
			display: flex;
			align-items: center;
			opacity: 0;
			visibility: hidden;
			transition: all 0.3s;

			@include lg {
				top: -7.8rem;
				left: 27.5rem;
				height: 5.3rem;
				border-radius: 1rem;
				width: 24.5rem;
				bottom: 10rem;
				box-shadow: var(--box-shadow);
			}

			span {
				color: var(--grayish-blue);
				font-size: 1.2rem;
				letter-spacing: 0.5rem;
				padding-right: 2rem;
			}

			ul {
				display: flex;
				align-items: center;

				li {
					padding-right: 1.5rem;
					display: flex;
				}
			}

			@include lg {
				&::after {
					content: '';
					position: absolute;
					width: 1.6rem;
					height: 1.6rem;
					bottom: -0.8rem;
					left: 50%;
					transform: rotate(45deg);
					background-color: #48556a;
				}
			}
		}
	}
}

.show {
	opacity: 1 !important;
	visibility: visible !important;
}

.share-icon-path-dark {
	fill: white;
}

.share-icon-background-dark {
	background: var(--desaturated-dark-blue) !important;
}
